PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Typedefs
http.h File Reference
`#include <ptclib/inetprot.h>`
`#include <ptclib/mime.h>`
`#include <ptclib/url.h>`
`#include <ptlib/ipsock.h>`
`#include <ptlib/pfactory.h>`
`#include <ptclib/html.h>`
Include dependency graph for http.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PHTTPSpace
| This class describes a name space that a Universal Resource Locator operates in. More...
class | PHTTPSpace::Node
class | PHTTP
    A common base class for TCP/IP socket for the HyperText Transfer Protocol
version 1.0 client and server. More...
class | PHTTPClientAuthentication
class | PHTTPClientAuthentication::AuthObject
class | PHTTPClientAuthenticator
class | PHTTPClientBasicAuthentication
class | PHTTPClientDigestAuthentication
class | PHTTPClient
| A TCP/IP socket for the HyperText Transfer Protocol version 1.0. More...
struct | PHTTPClient::ContentProcessor
| Call back to process the body of the HTTP command. More...
class | PHTTPConnectionInfo
| This object describes the connectiono associated with a HyperText Transport Protocol request. More...
class | PHTTPServer
| A TCP/IP socket for the HyperText Transfer Protocol version 1.0. More...
class | PHTTPRequest
| This object describes a HyperText Transport Protocol request. More...
class | PHTTPAuthority
| This abstract class describes the authorisation mechanism for a Universal Resource Locator. More...
class | PHTTPSimpleAuth
| This class describes the simplest authorisation mechanism for a Universal Resource Locator, a fixed realm, username and password. More...
class | PHTTPMultiSimpAuth
| This class describes the simple authorisation mechanism for a Universal Resource Locator, a fixed realm, multiple usernames and passwords. More...
class | PHTTPResource
| This object describes a HyperText Transport Protocol resource. More...
class | PHTTPString
| This object describes a HyperText Transport Protocol resource which is a string kept in memory. More...
class | PHTTPFile
| This object describes a HyperText Transport Protocol resource which is a single file. More...
class | PHTTPFileRequest
class | PHTTPTailFile
| This object describes a HyperText Transport Protocol resource which is a single file. More...
class | PHTTPDirectory
| This object describes a HyperText Transport Protocol resource which is a set of files in a directory. More...
class | PHTTPDirRequest

## Typedefs
typedef PFactory < PHTTPClientAuthentication > | PHTTPClientAuthenticationFactory

## Typedef Documentation

typedef PFactory<PHTTPClientAuthentication> PHTTPClientAuthenticationFactory